???File Path
==========
***...\ClientApp\srcpp\modelsase\paidcheque.model.ts


// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
// @@@@@@@@@@@@@@@  PaidChequeReturn  @@@@@@@@@@@@@@@
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
export class MdlPaidChequeReturn {

	binPaidChequeReturnId: number = 0;
	
	binDocumentsId: number = 0;
	strDocuments: string = "";
	binPaidChequeId: number = 0;
	strPaidCheque: string = "";
	binPaidChequeDetailsId: number = 0;
	strPaidChequeDetails: string = "";
	
	binBankChargeId: number | null = null;
	strBankChargeCode: string = "";
	strBankChargeName: string = "";
	binBankCrCustomerId: number | null = null;
	strBankCrCustomerCode: string = "";
	strBankCrCustomerName: string = "";
	binBankExpenseId: number | null = null;
	strBankExpenseCode: string = "";
	strBankExpenseName: string = "";
	
	strBankCurrency: string = "";
	dblBankCurRoe: number = 1.00;
	dblBankCurBankCharge: number = 0.0;
	
	strCustCurrency: string = "";
	dblCustCurRoe: number = 1.00;
	dblCustCurCustCharge: number = 0.0;
	
	strBaseCurrency: string = "";
	dblBaseCurBankCharge: number = 0.0;
	dblBaseCurCustCharge: number = 0.0;
	
	binServiceTaxId: number | null = null;
	strServiceTax: string = "";
	dblSysPerceOfTax: number = 0.0;
	dblPerceOfTax: number = 0.0;
	dblLedgCurTaxBaseAmount: number = 0.0;
	dblLedgCurTaxAmount: number = 0.0;
	
	dblBaseCurTaxBaseAmount: number = 0.0;
	dblBaseCurTaxAmount: number = 0.0;
	
}

export class MdlReqPaidChequeReturn extends MdlRequest {

	mdlPaidChequeReturn:MdlPaidChequeReturn = new MdlPaidChequeReturn();
}

export class MdlResPaidChequeReturn extends MdlResponse {

	mdlPaidChequeReturn:MdlPaidChequeReturn = new MdlPaidChequeReturn();
}

export class MdlResPaidChequeReturnList extends MdlResponse {

	lstMdlPaidChequeReturn: MdlPaidChequeReturn[] = [];
}

export class MdlResPaidChequeReturnInit extends MdlResponse {
	lstMdlDocumentsBaseIntId: MdlBaseIntId[] = [];
	lstMdlPaidChequeBaseIntId: MdlBaseIntId[] = [];
	lstMdlPaidChequeDetailsBaseIntId: MdlBaseIntId[] = [];
	lstMdlBankChargeBaseIntId: MdlBaseIntId[] = [];
	lstMdlBankCrCustomerBaseIntId: MdlBaseIntId[] = [];
	lstMdlBankExpenseBaseIntId: MdlBaseIntId[] = [];
	lstMdlServiceTaxBaseIntId: MdlBaseIntId[] = [];


	lstMdlPaidChequeReturn: MdlPaidChequeReturn[] = [];
}

